Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.statsvn.input
Class SvnXmlRepositoriesFileHandler

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          net.sf.statsvn.input.SvnXmlRepositoriesFileHandler

All Implemented Interfaces:
  ContentHandler, DTDHandler, EntityResolver, ErrorHandler

public class SvnXmlRepositoriesFileHandler
extends DefaultHandler

This is the SAX parser for the repositories xml file. This xml file identifies the line counts xml files for all repositories for which SVN stats have been compiled.

Version:
  $Id: SvnXmlRepositoriesFileHandler.java 351 2008-03-28 18:46:26Z benoitx $
Author:
  Gunter Mussbacher

Constructor Summary
`SvnXmlRepositoriesFileHandler(RepositoriesBuilder repositoriesBuilder)` Default constructor

Method Summary
`void` | `endElement(String uri, String localName, String qName)` Handles the end of an xml element and redirects to the appropriate end* method.
`void` | `startElement(String uri, String localName, String qName, Attributes attributes)` Handles the start of an xml element and redirects to the appropriate start* method.

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`characters, endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SvnXmlRepositoriesFileHandler

    public SvnXmlRepositoriesFileHandler(RepositoriesBuilder repositoriesBuilder)

  Default constructor

Parameters:
  `repositoriesBuilder` - the RepositoriesBuilder to which to send back the repository information.

Method Detail

### endElement

    public void endElement(String uri,
                           String localName,
                           String qName)
                    throws SAXException

  Handles the end of an xml element and redirects to the appropriate end* method.

  Throws:
    `SAXException` - unexpected event.

### startElement

    public void startElement(String uri,
                             String localName,
                             String qName,
                             Attributes attributes)
                      throws SAXException

  Handles the start of an xml element and redirects to the appropriate start* method.

  Throws:
    `SAXException` - unexpected event.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD